<?php
/** 
*
* @package Auto
* @version $Id: functions.php,v 0.0.1 2007/09/25 17:58:24 vovan Exp $
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
if (!defined('IN_AUTO'))
{
	exit;
}

function upperkey($vararray)
{
	foreach($vararray as $k => $v)
		$d[strtoupper($k)] = $v;
	return $d;
}

function tpldat_gen_menu($name)
{
	global $db;

	$sql = "SELECT i.name, i.url, i.title
FROM " . MENU_TABLE . " m," . MENU_ITEM_TABLE . " i
WHERE m.id = i.menu_id
AND m.name = '" . $db->sql_escape($name) . "'
ORDER BY i.position";
	$db->sql_query($sql);
	$d = $db->sql_fetchrowset();
	$db->sql_freeresult();

	foreach($d as $v1)
	{
		$d1[] = upperkey($v1);
	}
	return $d1;
}

function get_config()
{
	global $db, $conffix;

	$sql = 'SELECT c.name, c.value, c.name_fix
			FROM ' . CONFIG_TABLE . ' c
			ORDER BY c.name_fix, c.name';
	$db->sql_query($sql);
	$data = Array();
	while(($d = $db->sql_fetchrow()) !== false)
	{
		$data[$d['name']] = $d['value'];
		$conffix[$d['name']] = $d['name_fix'];
	}
	$db->sql_freeresult();
	return $data;
}

?>
