<?php
/** 
*
* @package Modul
* @version $Id: settings.php,v 0.0.1 2007/09/25 22:35:44 vovan Exp $
*
*/
if (!defined('IN_AUTO'))
{
	exit;
}

include_once($auto_root_path . 'includes/functions_settings.php');

$page_title = $lang['settings'];
$page_link = $index_page_adr . $index_page_t . 'settings';

function module_generate_page()
{
	global $db, $template, $config, $conffix, $lang, $page_link;

	$template->set_filenames(Array(
			'body' => 'mod_settings.html',
		));
	
	$menu = tpldat_gen_menu('settings');
	foreach($menu as $m)
		$template->assign_block_vars('settingsmenu', $m);

	switch($_GET['m'])
	{
		default:
		case 'index':
		{
			$template->assign_vars(array('SW_INDEX' => 1));
		}
		break;
		case 'menu':
		{
			if(isset($_POST['submit']) && isset($_POST['menugroup']))
			{
				$r = submit_menugroup($_POST['menugroup']);
				$msg_title = $r ? $lang['submited'] : $lang['error'];
				$msg_desc = $r ? $lang['submited-desc'] : $lang['error-submited-desc'];
				$msg_class = $r ? 'good' : 'bad';
			}
			else if(isset($_POST['submit']) && isset($_POST['menuitem']))
			{
				$r = submit_menuitem($_POST['menuitem']);
				$msg_title = $r ? $lang['submited'] : $lang['error'];
				$msg_desc = $r ? $lang['submited-desc'] : $lang['error-submited-desc'];
				$msg_class = $r ? 'good' : 'bad';
			}
			elseif (isset($_POST['delete']))
			{
				$r = delete_menuitem($_POST['delete']);
				$msg_title = $r ? $lang['submited'] : $lang['error'];
				$msg_desc = $r ? $lang['submited-desc'] : $lang['error-submited-desc'];
				$msg_class = $r ? 'good' : 'bad';
			}
			else
			{
				$template->assign_vars(array('SW_MENU' => 1));
				$menugr = tpldat_get_menu_gr();
				$menugr[] = Array('ID' => '.', 'NAME_FIX' => 0);
				foreach($menugr as $m)
					$template->assign_block_vars('menugroup', $m);
				$menuit = tpldat_gen_menu_item();
				foreach($menuit as $m)
					$template->assign_block_vars('menuitem', $m);
			}
		}
		break;
		case 'config':
		{
			if(isset($_POST['submit']))
			{
				$r = submit_config($_POST['conf']);
				$msg_title = $r ? $lang['submited'] : $lang['error'];
				$msg_desc = $r ? $lang['submited-desc'] : $lang['error-submited-desc'];
				$msg_class = $r ? 'good' : 'bad';
			}
			else
			{
			$template->assign_vars(array('SW_CONFIG' => 1));
			$c = $config;
			$cf = $conffix;
			$c['.'] = '';
			$cf['.'] = 0;
			foreach($c as $k => $v)
				$template->assign_block_vars('confrow', Array(
						'NAME' => $k,
						'VALUE' => $v,
						'FIX' => $cf[$k] )
					);
			}
		}
		break;
	}
	if($msg_title)
	{
		$template->assign_vars(array(
				'MESSAGE_TITLE' => $msg_title,
				'MESSAGE_DESCRIPTION' => $msg_desc,
				'MESSAGE_CLASS' => $msg_class,
				'META' => '<meta http-equiv="refresh" content="5;url=" />' )
			);
	}

	$template->display('body');

	if(DEBUG) print_r($template);
}

?>